# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/panel-lvds.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Generic LVDS Display Panel

maintainers:
  - Lad Prabhakar <prabhakar.mahadev-lad.rj@bp.renesas.com>
  - Thierry Reding <thierry.reding@gmail.com>

allOf:
  - $ref: panel-common.yaml#
  - $ref: /schemas/display/lvds.yaml/#

select:
  properties:
    compatible:
      contains:
        const: panel-lvds

  not:
    properties:
      compatible:
        contains:
          enum:
            - advantech,idk-1110wr
            - advantech,idk-2121wr
            - innolux,ee101ia-01d
            - mitsubishi,aa104xd12
            - mitsubishi,aa121td01
            - sgd,gktw70sdae4se

  required:
    - compatible

properties:
  compatible:
    items:
      - enum:
          - auo,b101ew05
          - tbs,a711-panel

      - const: panel-lvds

unevaluatedProperties: false

required:
  - compatible
  - data-mapping
  - width-mm
  - height-mm
  - panel-timing
  - port

...
